Melano_not_First_Introduction=false
function onTalk()
    --一些基础设置
    disableMovement()
    local dialog_choice=1
    --获取是否第一次与其对话
    Melano_not_First_Introduction=getFlag("Melano_not_First_Introduction")
    if Melano_not_First_Introduction==false then
        setFlag("Melano_not_First_Introduction",true)
        say("Melano_Introduction") 

    --如果不是第一次对话，则出现对话选择项
    else
        dialog_choice=choice("Melano_UI_1","Melano_UI_2","Melano_UI_3","Melano_UI_4")
        if dialog_choice==1 then
            say("Melano_Introduction")
        elseif dialog_choice==2 then
            say("Melano_Review_Serenus")
        elseif dialog_choice==3 then
            --这里触发Melano_Review_Memory_Triggered标志
            setFlag("Melano_Review_Memory_Triggered",true)
            say("Melano_Review_Memory")
        end
    end

end

function onEnd()
    enableMovement()
end